Subject: [netatalk-admins] Netatalk with shadow passwds via NIS (YP)?

From: Georg Schwarz <[email-masked]>
Date: Mon, 25 May 1998 15:39:37 +0200 (MEST)

I've compiled netatalk-1.4b2+asun2.0a18.2 on a Linux 2.0.33 system that
uses glibc 2.0.6 and shadow passwords via NIS (aka yp). I've linked with
-lcrypt. When loging in from a Mac I always get the message that the
password entered is invalid. Guest access, if enabled, works fine.
It looks like afpd does not handle the authentification process correctly
for that setup.
Is anybody running Netatalk on a NIS system that uses shadowd passwords?

(the Netatalk server happens to be the NIS master server, so in principle
afpd could directly access /etc/shadow, if that's a solution)

Any suggestions on how to make Netatalk run in such an environment?
Thanks.
-- 
Georg Schwarz                             [email-masked]
Institut für Theoretische Physik    Tel. +49 30 314-24254, FAX -21130
Technische Universität Berlin          http://home.pages.de/~schwarz/
Sekr. PN 7-1, Hardenbergstr. 36, D-10623 Berlin            IRC: kuroi